Modify

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#7061 closed defect (fixed)

[PATCH] brcm47xx pci ide

Reported by: b.sander Owned by: hauke
Priority: normal Milestone: Backfire 10.03.1
Component: kernel Version: Trunk
Keywords: Cc:

Description

Hi,

ide interface probe will assign drive to hde instead to hda!

pdc202xx_old 0000:00:01.0: IDE controller (0x105a:0x0d30 rev 0x02)
PCI: Enabling device 0000:00:01.0 (0004 -> 0007)
PCI: Fixing up device 0000:00:01.0
0000:00:01.0: (U)DMA Burst Bit DISABLED Primary PCI Mode Secondary PCI Mode.
0000:00:01.0: FORCING BURST BIT 0x00->0x01 ACTIVE
pdc202xx_old 0000:00:01.0: 100% native mode on irq 6
    ide2: BM-DMA at 0x0400-0x0407
    ide3: BM-DMA at 0x0408-0x040f
Probing IDE interface ide2...
hde: CF500, CFA DISK drive
hde: host max PIO4 wanted PIO255(auto-tune) selected PIO2
hde: UDMA/33 mode selected
Probing IDE interface ide3...
ide3: no devices on the port
ide2 at 0x440-0x447,0x452 on irq 6
ide3 at 0x448-0x44f,0x456 on irq 6
ide-gd driver 1.18
hde: max request size: 128KiB
hde: 2015232 sectors (1031 MB) w/1KiB Cache, CHS=3936/16/32
 hde: hde1

This patch will restore old behaviour:

--- linux/include/linux/ide.h.bak	2010-02-09 13:57:19.000000000 +0100
+++ linux/include/linux/ide.h	2010-02-15 11:53:39.000000000 +0100
@@ -195,7 +195,11 @@
 	hw->io_ports.ctl_addr = ctl_addr;
 }
 
-#define MAX_HWIFS	10
+#if defined CONFIG_BCM47XX
+# define MAX_HWIFS	1
+#else
+# define MAX_HWIFS	10
+#endif
 
 /*
  * Now for the data we need to maintain per-drive:  ide_drive_t

Attachments (0)

Change History (4)

comment:1 Changed 7 years ago by thepeople

  • Milestone changed from Backfire 10.03 to Kamikaze
  • Owner changed from developers to hauke
  • Status changed from new to assigned

comment:2 in reply to: ↑ description Changed 7 years ago by b.sander

Replying to b.sander:

Revised patch, sorry!

--- linux/include/linux/ide.h.bak	2010-02-09 13:57:19.000000000 +0100
+++ linux/include/linux/ide.h	2010-02-15 11:53:39.000000000 +0100
@@ -195,7 +195,11 @@
 	hw->io_ports.ctl_addr = ctl_addr;
 }
 
-#define MAX_HWIFS	10
+#if defined CONFIG_BCM47XX
+# define MAX_HWIFS	2
+#else
+# define MAX_HWIFS	10
+#endif
 
 /*
  * Now for the data we need to maintain per-drive:  ide_drive_t
pdc202xx_old 0000:00:01.0: IDE controller (0x105a:0x0d30 rev 0x02)
PCI: Enabling device 0000:00:01.0 (0004 -> 0007)
PCI: Fixing up device 0000:00:01.0
0000:00:01.0: (U)DMA Burst Bit DISABLED Primary PCI Mode Secondary PCI Mode.
0000:00:01.0: FORCING BURST BIT 0x00->0x01 ACTIVE
pdc202xx_old 0000:00:01.0: 100% native mode on irq 6
    ide0: BM-DMA at 0x0400-0x0407
    ide1: BM-DMA at 0x0408-0x040f
Probing IDE interface ide0...
hda: CF500, CFA DISK drive
hda: host max PIO4 wanted PIO255(auto-tune) selected PIO2
hda: UDMA/33 mode selected
Probing IDE interface ide1...
ide1: no devices on the port
ide0 at 0x440-0x447,0x452 on irq 6
ide1 at 0x448-0x44f,0x456 on irq 6
ide-gd driver 1.18
hda: max request size: 128KiB
hda: 2015232 sectors (1031 MB) w/1KiB Cache, CHS=3936/16/32
 hda: hda1

comment:3 Changed 7 years ago by acoul

  • Resolution set to fixed
  • Status changed from assigned to closed

applied in r20924 (thank you)

comment:4 Changed 7 years ago by nico

  • Milestone changed from Kamikaze to Backfire 10.03.1

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.